package cn.yyxx.eyuancomm.base.internal.feature

import android.app.Activity
import cn.yyxx.eyuancomm.base.entity.SdkRoleInfo

/**
 * @author #Suyghur.
 * Created on 2022/01/17
 */
interface IRoleData {

    fun roleCreate(activity: Activity, roleInfo: SdkRoleInfo)

    fun roleLauncher(activity: Activity, roleInfo: SdkRoleInfo)

    fun roleUpgrade(activity: Activity, roleInfo: SdkRoleInfo)
}